Skip to main content
GET
/
deposit-attributions
/
attributions
List deposit attributions
curl --request GET \
  --url https://api.anchorage-staging.com/v2/deposit-attributions/attributions \
  --header 'Api-Access-Key: <api-key>'
{
  "data": [
    {
      "assetType": "ETH",
      "blockchainTxId": "0x84ddb76708d570101db89fd27b1717484c54417c9f32c63052cdfac9a0bfc0a2",
      "createdAt": "2023-09-12T11:01:07.953571Z",
      "depositTransactionId": "0e2b2f9d-8d10-4f1e-960b-28567255045f",
      "sourceAddresses": [
        "0xb4Bb4E3D7f35ede58d99F5e2b8B04f7AC87f9c88",
        "0x974CaA59e49682CdA0AD2bbe82983419A2ECC400"
      ],
      "attributedAt": "2023-07-27T21:16:44.124798Z",
      "attributionType": "CLIENT_API",
      "notes": "<string>",
      "originatorCountry": "US",
      "originatorName": "John Doe",
      "subaccountId": "ec761b5e-fd2c-497a-a9a0-f8738ac97bdf"
    }
  ],
  "page": {
    "next": "<next page url>"
  }
}

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Query Parameters

afterId
string

When paginating this is used to provide the starting point for the page to fetch (retrieved from the previous response body).

limit
integer<int64>
default:25

Maximum number of results to return per query.

Required range: 1 <= x <= 100
status
enum<string>

Filter by pending or attributed deposits.

Available options:
ATTRIBUTED,
PENDING,
UNDER_REVIEW,
BLOCKED,
NON_ATTRIBUTABLE,
INITIATED
startDateTime
string<date-time>

The start date-time (exclusive) of the deposit attribution process in UTC following RFC 3339 'date-time' format. A valid format example is 2021-01-01T00:00:00.000000Z.

endDateTime
string<date-time>

The end date-time (exclusive) to consider the start of the deposit attribution process in UTC following RFC 3339 'date-time' format. A valid format example is 2021-01-01T00:00:00.000000Z.

attributedAtStartDateTime
string<date-time>

The start date-time (exclusive) to consider the attribution date of the deposit in UTC following RFC 3339 'date-time' format. A valid format example is 2021-01-01T00:00:00.000000Z.

attributedAtEndDateTime
string<date-time>

The end date-time (exclusive) to consider the attribution date of the deposit in UTC following RFC 3339 'date-time' format. A valid format example is 2021-01-01T00:00:00.000000Z.

subaccountIds
string[]

Filter results to deposits associated with the specified subaccounts. Multiple values may be provided.

Response

Success

data
object[]
required
page
Page · object
required

Pagination info